Bug 617777 - system-config-display fails to build against python 2.7: duplicate keyword args
Summary: system-config-display fails to build against python 2.7: duplicate keyword args
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Python27Rebuild
TreeView+ depends on / blocked
 
Reported: 2010-07-23 22:40 UTC by Dave Malcolm
Modified: 2010-07-30 20:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 19:26:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2010-07-23 22:40:30 UTC
Description of problem:
http://koji.fedoraproject.org/koji/getfile?taskID=2345774&name=build.log
failed with this:
SyntaxError: ('keyword argument repeated', ('/usr/share/system-config-display/xserver.py', 165, None, None))

The line in question is:
            proc = subprocess.Popen(["/usr/bin/Xorg"] + args, preexec_fn=chroot,
                                    stdout=noOutput, stderr=noOutput,
				    preexec_fn=preexec_fn)

Note the two "preexec_fn=" args.  (I'm not sure which one is desired here)

Version-Release number of selected component (if applicable):
2.2-2

How reproducible:
100%

Steps to Reproduce:
koji build dist-f14-py27-rebuild cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/system-config-display/devel#system-config-display-2_2-2_fc14

Comment 1 Adam Jackson 2010-07-27 19:26:34 UTC
Fixed in 2.2-3.fc14


Note You need to log in before you can comment on or make changes to this bug.